Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 21040)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 21041)
@@ -85,6 +85,6 @@
 $lang['Form'] = '表单';
 $lang['Gallery title'] = '图库标题';
-$lang['Grant selected groups'] = '对所选组授权';
-$lang['Grant selected users'] = '对所选用户授权';
+$lang['Grant selected groups'] = '授权给所选组';
+$lang['Grant selected users'] = '授权给所选用户';
 $lang['Group name'] = '组名';
 $lang['Groups'] = '组';
@@ -99,6 +99,6 @@
 $lang['Maintenance'] = '维护';
 $lang['Edit album permissions'] = '管理相册权限';
-$lang['Manage permissions for group "%s"'] = '对 "%s" 组 进行权限管理';
-$lang['Manage permissions for user "%s"'] = '对用户 "%s" 进行权限管理';
+$lang['Manage permissions for group "%s"'] = '管理 "%s" 组的权限';
+$lang['Manage permissions for user "%s"'] = '管理用户 "%s" 的权限';
 $lang['Manage tags'] = '管理标签';
 $lang['Members'] = '成员';
@@ -121,5 +121,5 @@
 $lang['Path'] = '路径';
 $lang['Permalink'] = '固定链接';
-$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = '固定链接 %s 已被相册 %s 使用了。请先将其从固定链接历史记录中删除。';
+$lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = '固定链接 %s 此前被相册 %s 使用。请先将其从固定链接历史记录中删除。';
 $lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = '固定链接名称必须由字符 a-z、A-Z、0-9、"-"、"_" 和 "/" 组成。但不能是纯数字或以数字开头后面紧跟"-"';
 $lang['Permalink %s is already used by album %s'] = '固定链接 %s 已被相册 %s 使用了';
@@ -132,5 +132,5 @@
 $lang['Plugins'] = '插件';
 $lang['Position'] = '位置';
-$lang['Preferences'] = '个人偏好';
+$lang['Preferences'] = '偏好设置';
 $lang['Properties'] = '属性';
 $lang['Random photo'] = '随机图片';
@@ -144,5 +144,5 @@
 $lang['Represents'] = '是以下相册的缩略图：';
 $lang['Save order'] = '保存排序';
-$lang['Save to permalink history'] = '保存到固定链接的历史记录中';
+$lang['Save to permalink history'] = '保存到固定链接历史记录';
 $lang['Select at least one album'] = '请至少选择一个相册';
 $lang['Select at least one photo'] = '请至少选择一张图片';
@@ -181,5 +181,5 @@
 $lang['Lock albums'] = '锁定相册';
 $lang['Private'] = '非公开相册';
-$lang['Public'] = '公共相册';
+$lang['Public'] = '公开相册';
 $lang['Find a new representant by random'] = '采用新的随机相册缩略图';
 $lang['Public / Private'] = '公开 / 非公开';
@@ -191,5 +191,5 @@
 $lang['Default display'] = '默认显示';
 $lang['The gallery URL is not valid.'] = '图库地址无效。';
-$lang['Main'] = '主页';
+$lang['Main'] = 'Main';
 $lang['The number of comments a page must be between 5 and 50 included.'] = '每页用户评论数必须在5和50之间。';
 $lang['Configuration'] = '设置';
@@ -220,23 +220,23 @@
 $lang['manage sub-albums'] = '管理子相册';
 $lang['Manage'] = '管理';
-$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '已超过执行时间，处理还要继续[估计时间: %d 秒]。';
-$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '已超过执行时间，处理还要继续[估计时间: %d 秒]。';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = '已超过执行时间，处理还要继续[估计时间：%d 秒]。';
+$lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = '已超过执行时间，处理还要继续[估计时间：%d 秒]。';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = '由于准备 将被发送邮件的用户的列表 的时间有限，其余用户未被列出。';
 $lang['Time to send mail is limited. Others mails are skipped.'] = '发送邮件时间有限，其余邮件已被跳过。';
 $lang['To send ?'] = '发送？';
-$lang['Last send'] = '最后一次发送';
+$lang['Last send'] = '上一次发送';
 $lang['email'] = '邮件';
 $lang['User'] = '用户';
-$lang['See you soon,'] = '再见，';
+$lang['See you soon,'] = '回见，';
 $lang['Go to'] = '转至 ';
 $lang['Hello'] = '您好';
 $lang['New photos were added'] = '新图片已加入';
 $lang['on'] = '时间：';
-$lang['between'] = '时间: ';
+$lang['between'] = '时间：';
 $lang['and'] = ' 至 ';
 $lang['The webmaster has subscribed you to receiving notifications by mail.'] = '站长开通了您的邮件通知功能。';
 $lang['You have subscribed to receiving notifications by mail.'] = '您已订阅了邮件通知。';
 $lang['To subscribe'] = '订阅';
-$lang['If you encounter problems or have any question, please send a message to'] = '如有遇到故障或问题，请发邮件至';
+$lang['If you encounter problems or have any question, please send a message to'] = '如遇故障或问题，请发邮件至';
 $lang['[NBM] Problems or questions'] = '[NBM] 故障或问题';
 $lang['The webmaster has unsubscribed you from receiving notifications by mail.'] = '站长取消了您的邮件通知功能。';
@@ -254,8 +254,8 @@
 $lang['No mail to send.'] = '没有邮件要发送。';
 $lang['There is no available subscribers to mail.'] = '没有用户订阅邮件通知。';
-$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = '只有当有新图片时，才能使用用户邮件通知功能。';
+$lang['Subscribers could be listed (available) only if there is new elements to notify.'] = '只有当有新元素时，才能使用用户邮件通知功能。';
 $lang['Anyway only webmasters can see this tab and never administrators.'] = '本表单页仅站长可见，管理员不可见。';
 $lang['No user to send notifications by mail.'] = '没有需要邮件通知的用户。';
-$lang['New photos added'] = '新图片已加入';
+$lang['New photos added'] = '已加入新图片';
 $lang['Subscribe to notification by mail'] = '用邮件订阅RSS更新';
 $lang['Unsubscribe from notification by mail'] = '取消订阅邮件通知';
@@ -272,5 +272,5 @@
 $lang['Parameters'] = '参数';
 $lang['Select recipients'] = '选择接收邮件的用户';
-$lang['Subscribe/unsubscribe users'] = '订阅/取消订阅的用户';
+$lang['Subscribe/unsubscribe users'] = '订阅/取消订阅用户';
 $lang['Unsubscribed'] = '已取消';
 $lang['%d parameter was updated.'] = '%d个参数已更新。';
@@ -322,5 +322,5 @@
 $lang['Title'] = '标题';
 $lang['Album list management'] = '相册列表管理';
-$lang['Piwigo configuration'] = '配置Piwigo';
+$lang['Piwigo configuration'] = 'Piwigo配置';
 $lang['Edit album'] = '编辑相册';
 $lang['Group management'] = '组管理';
@@ -333,6 +333,6 @@
 $lang['for the file format'] = '对于文件格式';
 $lang['Photo unreachable or no support'] = '不支持的图片格式或无法获取';
-$lang['GD version'] = 'GD版';
-$lang['General statistics'] = '普通统计';
+$lang['GD version'] = 'GD版本';
+$lang['General statistics'] = '总体统计';
 $lang['average time'] = '平均时间';
 $lang['number of miniaturized photos'] = '已创建的缩略图数';
@@ -361,5 +361,5 @@
 $lang['photos added in the database'] = '张图片已添加到数据库';
 $lang['photos updated in the database'] = '张图片已于数据库中更新';
-$lang['Search for new images in the directories'] = '在文件夹中搜索新图片';
+$lang['Search for new images in the directories'] = '在目录中搜索新图片';
 $lang['added'] = '已添加';
 $lang['deleted'] = '已删除';
@@ -367,11 +367,11 @@
 $lang['only perform a simulation (no change in database will be made)'] = '只进行模拟操作（不会改变数据库中的任何内容）';
 $lang['Simulation'] = '模拟';
-$lang['directories + files'] = '文件夹 + 文件';
-$lang['only directories'] = '只对文件夹';
+$lang['directories + files'] = '目录 + 文件';
+$lang['only directories'] = '只对目录';
 $lang['synchronize files structure with database'] = '用数据库同步文件结构';
 $lang['synchronize files metadata with database photos informations'] = '根据文件元数据同步数据库中的图片信息';
 $lang['even already synchronized photos'] = '包括已同步过的图片';
 $lang['Used metadata'] = '已使用的元数据';
-$lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = '文件夹和文件的名称只能包含字母、数字、"-"、"_" 和 "."';
+$lang['The name of directories and files must be composed of letters, numbers, "-", "_" or "."'] = '目录和文件的名称只能包含字母、数字、"-"、"_" 和 "."';
 $lang['wrong filename'] = '错误的文件名';
 $lang['Upload'] = '上传';
@@ -402,5 +402,5 @@
 $lang['[%s] Visit album %s'] = '[%s] 访问相册 %s';
 $lang['Hello,'] = '您好，';
-$lang['See you soon.'] = '再见。';
+$lang['See you soon.'] = '回见。';
 $lang['Discover album:'] = '探索相册：';
 $lang['Mail content'] = '邮件内容';
@@ -447,5 +447,5 @@
 $lang['Main "webmaster" user status is incorrect'] = '主"站长"帐户状态异常';
 $lang['User "%s" created with "%s" like password'] = '用户 "%s" 已创建，密码是"%s"';
-$lang['Status of user "%s" updated'] = '用户 "%s" 状态已更新';
+$lang['Status of user "%s" updated'] = '用户 "%s" 身份已更新';
 $lang['add new photos to caddie'] = '将新图片添加到标记图片库中';
 // --------- Starting below: New or revised $lang ---- from Butterfly
@@ -454,5 +454,5 @@
 $lang['Hoverbox display'] = 'Hoverbox显示';
 $lang['Mail address is obligatory for all users'] = '所有用户都须提交邮箱地址';
-$lang['Minimum privacy level'] = '最小隐私等级';
+$lang['Minimum privacy level'] = '最低隐私等级';
 $lang['Privacy level'] = '隐私等级';
 $lang['Level 0'] = '---';
@@ -498,5 +498,5 @@
 $lang['ACCESS_5'] = '不开放';
 $lang['A new version of Piwigo is available.'] = 'Piwigo新版发布。';
-$lang['Piwigo Administration'] = 'Piwigo 管理';
+$lang['Piwigo Administration'] = 'Piwigo管理';
 $lang['Piwigo version'] = 'Piwigo版本';
 $lang['You are running the latest version of Piwigo.'] = '您运行的是Piwigo最新版。';
@@ -504,15 +504,15 @@
 $lang['You need to upgrade your system to take full advantage of the application else the application will not work correctly, or not at all'] = '为了获得程序的全部功能，您需要更新您的系统，否则程序可能运行不正常或无法运行。';
 $lang['Deleted on'] = '删除于';
-$lang['Last hit'] =  '最后一次查看';
+$lang['Last hit'] = '最新点击';
 $lang['GD library is missing'] = '缺少GD库';
 $lang['Templates'] = '模板';
 $lang['Extend for templates'] = '扩展模板';
 $lang['Replacement of original templates by customized templates from template-extension subfolder'] = '用位于template-extension子文件夹下的用户自定义模板替换原模板';
-$lang['Replacers (customized templates)'] = '自定义模板';
+$lang['Replacers (customized templates)'] = '替换（自定义模板）';
 $lang['Original templates'] = '原模板';
 $lang['Optional URL keyword'] = '可选URL关键字';
 $lang['Templates configuration has been recorded.'] = '模板设置已保存。';
 $lang['All optimizations have been successfully completed.'] = '优化成功。';
-$lang['Optimizations have been completed with some errors.'] = '优化完成，部分优化发生了错误。';
+$lang['Optimizations have been completed with some errors.'] = '优化完成，但发生了一些错误。';
 $lang['Modify information'] = '修改信息';
 $lang['nothing'] = '没有内容';
@@ -565,5 +565,5 @@
 $lang['Privacy level set to "%s"'] = '隐私级别设置为 "%s"';
 $lang['Album "%s" now contains %d photos'] = '相册 "%s" 现包含 %d 张图片';
-$lang['Manage this set of %d photos'] = '管理本集合的 %d 张照片 ';
+$lang['Manage this set of %d photos'] = '管理本集合的 %d 张图片';
 $lang['Select files'] = '选择文件';
 $lang['Everybody'] = '每个人';
@@ -588,5 +588,5 @@
 $lang['Help Me'] = '帮助';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = '父主题%s不存在，此主题不能被启用。';
-$lang['Impossible to delete this theme. Other themes depends on it: %s'] = '此主题不能删除，因有其他主题有赖于它: %s';
+$lang['Impossible to delete this theme. Other themes depends on it: %s'] = '不能删除此主题，因其他主题有赖于它： %s';
 $lang['Inactive Themes'] = '停用的主题';
 $lang['Install on your computer,'] = '安装到您的电脑里，';
@@ -613,5 +613,5 @@
 $lang['Add New Language'] = '添加新语言';
 $lang['Language has been successfully installed'] = '语言已成功安装';
-$lang['Select:'] = '选择:';
+$lang['Select:'] = '选择：';
 $lang['None'] = '无';
 $lang['Invert'] = '反选';
@@ -637,5 +637,5 @@
 $lang['Add Photos'] = '添加图片';
 $lang['The following tag was deleted'] = '以下标签已删除';
-$lang['Miscellaneous'] = '杂项';
+$lang['Miscellaneous'] = '其他';
 $lang['Virtual Links'] = '虚拟链接';
 $lang['There is no other language available.'] = '没有其他的可用语言。';
@@ -647,8 +647,8 @@
 $lang['Piwigo Announcements Newsletter'] = 'Piwigo最新消息公告';
 $lang['Subscribe %s'] = '订阅%s';
-$lang['Subscribe %s to Piwigo Announcements Newsletter'] = '用 %s 订阅Piwigo中国最新消息公告';
+$lang['Subscribe %s to Piwigo Announcements Newsletter'] = '以 %s 订阅Piwigo中国最新消息公告';
 $lang['Purge search history'] = '清除搜索的历史记录';
 $lang['Hide'] = '隐藏';
-$lang['Order of menubar items has been updated successfully.'] = '菜单项目排列顺序已更新成功。';
+$lang['Order of menubar items has been updated successfully.'] = '菜单项目排列顺序更新成功。';
 $lang['This theme was not designed to be directly activated'] = '此主题并非为直接启用而设计';
 $lang['Who can see this photo?'] = '图片对谁可见';
@@ -658,5 +658,5 @@
 $lang['Exif extension not available, admin should disable exif use'] = 'Exif 扩展不可用，管理员应禁用 exif。';
 $lang['The uploaded file exceeds the upload_max_filesize directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 upload_max_filesize 的限制：%sB';
-$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 post_max_size 的限制: %sB';
+$lang['The uploaded files exceed the post_max_size directive in php.ini: %sB'] = '上传文件超过了在 php.ini 文件里的 post_max_size 的限制：%sB';
 $lang['The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form'] = '上传文件超过了在 HTML 表单指定的 MAX_FILE_SIZE 的限制';
 $lang['The uploaded file was only partially uploaded'] = '上传文件只上传了一部分';
@@ -670,5 +670,5 @@
 $lang['Action'] = '操作';
 $lang['Add a filter'] = '添加过滤器';
-$lang['Album photos associated to the following albums: %s'] = '图片已关联到以下相册: %s';
+$lang['Album photos associated to the following albums: %s'] = '图片已关联到以下相册：%s';
 $lang['Albums automatically sorted'] = '相册已自动排序';
 $lang['All %d photos are selected'] = '全部 %d 张图片已选中';
@@ -683,5 +683,5 @@
 $lang['manual order'] = '手动排序';
 $lang['No photo in the current set.'] = '当前集合没有图片。';
-$lang['No photo selected, %d photos in current set'] = '没有图片被选中，当前集合有 %d 张图片';
+$lang['No photo selected, %d photos in current set'] = '没有图片被选中，当前集合中有 %d 张图片';
 $lang['No photo selected, no action possible.'] = '没有图片被选中，不能执行任何操作。';
 $lang['on the %d selected photos'] = '于此 %d 张所选图片';
@@ -748,10 +748,10 @@
 $lang['ERROR'] = '错误';
 $lang['Update Complete'] = '更新完毕';
-$lang['Piwigo Update'] = 'Piwigo 更新';
+$lang['Piwigo Update'] = 'Piwigo更新';
 $lang['Extensions Update'] = '扩展更新';
 $lang['All extensions are up to date.'] = '所有扩展已更新。';
-$lang['Following plugins may not be compatible with the new version of Piwigo:'] = '以下插件可能与新版 Piwigo 不兼容:';
-$lang['Following themes may not be compatible with the new version of Piwigo:'] = '以下主题可能与新版 Piwigo 不兼容:';
-$lang['I decide to update anyway'] = '我仍决定要更新';
+$lang['Following plugins may not be compatible with the new version of Piwigo:'] = '以下插件可能与新版 Piwigo 不兼容：';
+$lang['Following themes may not be compatible with the new version of Piwigo:'] = '以下主题可能与新版 Piwigo 不兼容：';
+$lang['I decide to update anyway'] = '仍决定更新';
 $lang['Update to Piwigo %s'] = '更新到 Piwigo %s';
 $lang['Two updates are available'] = '有2项更新可用';
@@ -762,5 +762,5 @@
 $lang['Save Template Directory'] = '保存模板目录';
 $lang['Dump Database'] = '转存数据库';
-$lang['Include history data (Warning: server memory limit may be exceeded)'] = '包括历史数据(警告：可能会超过服务器内存限制)';
+$lang['Include history data (Warning: server memory limit may be exceeded)'] = '包括历史数据(警告：可能会超出服务器内存限制)';
 $lang['Unable to dump database.'] = '无法转存数据库。';
 $lang['Some upgrades are available for extensions.'] = '有已更新的扩展。';
@@ -778,10 +778,10 @@
 $lang['You are using the Flash uploader. Problems? Try the <a href="%s">Browser uploader</a> instead.'] = '您正在使用Flash上传方式，若有问题，请尝试<a href="%s">网页上传</a>。';
 $lang['You are using the Browser uploader. Try the <a href="%s">Flash uploader</a> instead.'] = '您正在使用网页上传方式，若有问题，请尝试<a href="%s">Flash上传</a>。';
-$lang['Maximum file size: %sB.'] = '文件最大体积: %sB。';
-$lang['Allowed file types: %s.'] = '允许的文件类型: %s。';
-$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '最大的分辨率约: %dM 像素 (即 %dx%d 像素)。';
+$lang['Maximum file size: %sB.'] = '文件最大体积：%sB。';
+$lang['Allowed file types: %s.'] = '允许的文件类型：%s。';
+$lang['Approximate maximum resolution: %dM pixels (that\'s %dx%d pixels).'] = '最大的分辨率约：%dM 像素 (即 %dx%d 像素)。';
 $lang['Manage Permissions'] = '管理权限';
 $lang['Learn more'] = '了解更多';
-$lang['Photo %s of %s'] = '图片%s位于%s中';
+$lang['Photo %s of %s'] = 'Photo %s of %s';
 $lang['show details'] = '显示详情';
 $lang['hide details'] = '隐藏详情';
@@ -796,5 +796,5 @@
 $lang['Select an album'] = '选择一个相册';
 $lang['By default, Piwigo will create a new websize from the HD (high definition) version of your photo.'] = '默认情况下，Piwigo将基于图片的HD（高清）版本为图片创建一个新的网页尺寸。';
-$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = '若无高清图片或当前网页尺寸的图片大于重置尺寸，Piwigo会将其视为高清图片并用它生成较小尺寸的网页尺寸图片。';
+$lang['If no HD is available and if the current websize is bigger than resize dimensions, Piwigo will move it as HD and create a downsized websize photo from it.'] = '若无高清图片且当前网页尺寸的图片大于重置尺寸，Piwigo会将其视为高清图片并用它生成较小尺寸的网页尺寸图片。';
 $lang['An error has occured during upgrade.'] = '在升级过程中出现了一个错误。';
 $lang['An error has occured during extract. Please check files permissions of your piwigo installation.<br><a href="%s">Click here to show log error</a>.'] = '在解压时出现了一个错误。请检查您 piwigo 安装文件的读写权限。<br><a href="%s">点此查看错误日志</a>';
@@ -806,5 +806,5 @@
 $lang['Default comments order'] = '默认评论顺序';
 $lang['Last import'] = '最后导入';
-$lang['Original Size'] = '原始大小';
+$lang['Original Size'] = '原始尺寸';
 $lang['Photo name'] = '图片名称';
 $lang['Predefined filter'] = '预定义过滤器';
@@ -824,9 +824,9 @@
 $lang['modified'] = '已修改';
 $lang['Move to album'] = '移动到相册';
-$lang['Not cropped correctly?'] = '剪裁不正确?';
+$lang['Not cropped correctly?'] = '剪裁不正确？';
 $lang['Notify administrators when a comment is'] = '通知管理员，当一个评论 ';
 $lang['pending validation'] = '待审核';
 $lang['registered users'] = '注册用户';
-$lang['Save visits in history for'] = '保存访问的历史记录';
+$lang['Save visits in history for'] = '保存访问的历史记录for';
 $lang['simple visitors'] = '访问者';
 $lang['This album contains %d photos, added between %s and %s.'] = '此相册包含%d张图片，添加于%s和%s之间。';
@@ -834,6 +834,6 @@
 $lang['This album contains no photo.'] = '此相册中没有图片。';
 $lang['Unlock gallery'] = '解锁图库';
-$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo Android版</em> 使您能够从Android手机或平板电脑连接到您的Piwigo图库，方便您随时随地创建相册和上传照片。';
-$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo iOS版</em> 使您能够从iPhone、iPad或iPod Touch连接到您的Piwigo图库，方便您随时随地创建相册和上传照片。';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo Android版</em> 使您能够从Android手机或平板电脑连接到您的Piwigo图库，方便您随时随地创建相册和上传图片。';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo iOS版</em> 使您能够从iPhone、iPad或iPod Touch连接到您的Piwigo图库，方便您随时随地创建相册和上传图片。';
 $lang['Applications'] = '应用程序';
 $lang['apply automatic sort order'] = '应用自动排序';
@@ -856,6 +856,6 @@
 $lang['Delete multiple size images'] = '删除多尺寸图片';
 $lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam是Linux，Windows和MacOSX平台上免费的高级数码照片管理软件。';
-$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam可以查看，管理，编辑，增强，组织，标记和共享照片。';
-$lang['Features include gallery browsing, album creation and photo upload.'] = '其特点包括浏览图库，创建相册和上传照片。';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam可以查看，管理，编辑，增强，组织，标记和共享图片。';
+$lang['Features include gallery browsing, album creation and photo upload.'] = '其特点包括浏览图库，创建相册和上传图片。';
 $lang['Generate multiple size images'] = '生成多尺寸图片';
 $lang['Groups and users'] = '组和用户';
@@ -865,29 +865,29 @@
 $lang['Permission granted for groups'] = '为组授予的权限';
 $lang['Permission granted for users'] = '为用户授予的权限';
-$lang['Piwigo export plugin for Aperture'] = 'Piwigo的Aperture导出插件';
-$lang['Piwigo export plugin for iPhoto'] = 'Piwigo的iPhoto导出插件';
-$lang['Piwigo publish plugin for digiKam'] = 'Piwigo的digiKam发布插件';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo的Lightroom发布插件';
-$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo的Shotwell发布插件';
-$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid（Android RemoteGallery客户端）是一个开源（GPL V3）的Android平台Piwigo客户端。';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo export 插件 for Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo export 插件 for iPhoto';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publish 插件 for digiKam';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo publish 插件 for Lightroom';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publish 插件 for Shotwell';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (Android RemoteGallery客户端) 是一个开源（GPL v3）的Android平台Piwigo客户端。';
 $lang['Select groups...'] = '选择组';
 $lang['Select users...'] = '选择用户...';
 $lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell是一个运行在Linux上的开源数码照片管理软件。它是Ubuntu和Fedora的默认照片管理软件。';
 $lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo的导出插件允许你创建相册和导出图片。';
-$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo发布插件允许你从Lightroom直接导出和同步照片到您的Piwigo图库。';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo发布插件允许你从Lightroom直接导出和同步图片到您的Piwigo图库。';
 $lang['There is no group in this gallery.'] = '这个图库中还没有组。';
-$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = '只要安装digiKam和Kipi插件， 就可以从digiKam中导出照片到Piwigo。';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = '只要安装digiKam和Kipi插件， 就可以从digiKam中导出图片到Piwigo。';
 $lang['visitors need to login and have the appropriate permissions to see this album'] = '需要登录且有适当的权限才能查看这个相册';
 $lang['Apply watermark if height is bigger than'] = '如果高度大于此值则添加水印：';
 $lang['Apply watermark if width is bigger than'] = '如果宽度大于此值则添加水印：';
 $lang['By default, the center of interest is placed in the middle of the photo.'] = '默认情况下，兴趣中心置于图片的中心。';
-$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '对于剪裁照片大小，如“正方形”，Piwigo将竭尽所能的包括兴趣中心。';
-$lang['No group is permitted to see this private album'] = '没有组被允许查看这个非公开相册';
+$lang['For photo sizes with crop, such as "Square", Piwigo will do its best to include the center of interest.'] = '对于剪裁过的图片尺寸，如“正方形”，Piwigo将尽可能把兴趣中心包含在内。';
+$lang['No group is permitted to see this private album'] = '没有组被允许查看此非公开相册';
 $lang['Opacity'] = '透明度';
 $lang['Permission management'] = '权限管理';
-$lang['Photo sizes with crop'] = '图片剪裁大小';
+$lang['Photo sizes with crop'] = '图片剪裁尺寸';
 $lang['Select a file'] = '选择文件';
 $lang['Select a zone with your mouse to define a new center of interest.'] = '用鼠标选择一个区域，以定义一个新的兴趣中心。';
-$lang['The center of interest is the most meaningful zone in the photo.'] = '兴趣中心是照片中最有意义的区域。';
+$lang['The center of interest is the most meaningful zone in the photo.'] = '兴趣中心是图片中最有意义的区域。';
 $lang['X Position'] = 'X轴位置';
 $lang['X Repeat'] = 'X轴平铺';
@@ -917,6 +917,6 @@
 $lang['Added by %s'] = '由%s添加';
 $lang['Numeric identifier : %d'] = '数字ID：%d';
-$lang['Original file : %s'] = '原文件:%s';
-$lang['Posted %s on %s'] = '发布 %s到 %s';
+$lang['Original file : %s'] = '原文件：%s';
+$lang['Posted %s on %s'] = 'Posted %s on %s';
 $lang['Rated %d times, score : %.2f'] = '评分：%d次，得分：%.2f';
 $lang['Sharpen'] = '锐化';
@@ -935,8 +935,8 @@
 $lang['Invalid dimension'] = '无效的尺寸';
 $lang['Landscape'] = '风景';
-$lang['Manage photos'] = '管理相片';
+$lang['Manage photos'] = '管理图片';
 $lang['Minimum height'] = '最小高度';
 $lang['Minimum width'] = '最小宽度';
-$lang['Number of albums per page'] = '每页的相册数量';
+$lang['Number of albums per page'] = '每页相册数';
 $lang['Panorama'] = '全景图';
 $lang['Portrait'] = '人像';