Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 21044)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 21045)
@@ -122,5 +122,5 @@
 $lang['Permalink'] = '固定链接';
 $lang['Permalink %s has been previously used by album %s. Delete from the permalink history first'] = '固定链接 %s 此前被相册 %s 使用。请先将其从固定链接历史记录中删除。';
-$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = '固定链接名称必须由字符 a-z、A-Z、0-9、"-"、"_" 和 "/" 组成。但不能是纯数字或以数字开头后面紧跟"-"';
+$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = '固定链接名称必须由字符 a-z、A-Z、0-9、"-"、"_" 或 "/" 组成。但不能是纯数字或以数字开头后面紧跟"-"';
 $lang['Permalink %s is already used by album %s'] = '固定链接 %s 已被相册 %s 使用了';
 $lang['Permalink history'] = '固定链接历史记录';
@@ -154,5 +154,5 @@
 $lang['Storage album'] = '存储相册';
 $lang['Sum of rates'] = '总评分';
-$lang['Tag "%s" already exists'] = '标签"%s"已存在';
+$lang['Tag "%s" already exists'] = '标签 "%s" 已存在';
 $lang['Tag "%s" was added'] = '标签 "%s" 已添加';
 $lang['Tag selection'] = '标签选择';
@@ -160,13 +160,13 @@
 $lang['Unable to check for upgrade.'] = '无法检查更新。';
 $lang['Uninstall'] = '卸载';
-$lang['Use the default photo sort order (defined in the configuration file)'] = '使用默认图片排序（在配置文件中定义）';
+$lang['Use the default photo sort order (defined in the configuration file)'] = '使用默认的图片排序（在配置文件中定义）';
 $lang['User comments validation'] = '用户评论审核';
 $lang['Users'] = '用户';
-$lang['Validate'] = '批准';
+$lang['Validate'] = '审核';
 $lang['Validation'] = '启用评论审核';
 $lang['Version'] = '版本';
-$lang['Virtual albums to move'] = '移动虚拟相册';
+$lang['Virtual albums to move'] = '待移动的虚拟相册';
 $lang['Virtual album name'] = '虚拟相册名称';
-$lang['Webmaster cannot be deleted'] = '不能删除站长帐户';
+$lang['Webmaster cannot be deleted'] = '站长帐户不能删除';
 $lang['You are running on development sources, no check possible.'] = '您运行的是源码开发版本，不能检查最新版。';
 $lang['You cannot delete your account'] = '您无法删除自己的帐号';
@@ -209,5 +209,5 @@
 $lang['group "%s" deleted'] = '"%s" 组已删除';
 $lang['group "%s" updated'] = '"%s" 组已更新';
-$lang['The name of a group must not contain " or \' or be empty.'] = '组的名称不能包含 "or\' 且不能为空。';
+$lang['The name of a group must not contain " or \' or be empty.'] = '组的名称不能包含 " 或 \' 也不能为空。';
 $lang['This name is already used by another group.'] = '组名已存在。';
 $lang['High definition'] = '高清';
@@ -244,5 +244,5 @@
 $lang[', click on'] = '，请点击 ';
 $lang['To unsubscribe'] = '取消订阅';
-$lang['With blank value, gallery title will be used'] = '如留空，则将以图库标题为标题';
+$lang['With blank value, gallery title will be used'] = '如留空，则将使用图库标题';
 $lang['Notification'] = 'RSS订阅';
 $lang['Error when sending email to %s [%s].'] = '发送邮件给 %s [%s] 时发生了错误。';
@@ -448,5 +448,5 @@
 $lang['User "%s" created with "%s" like password'] = '用户 "%s" 已创建，密码是"%s"';
 $lang['Status of user "%s" updated'] = '用户 "%s" 身份已更新';
-$lang['add new photos to caddie'] = '将新图片添加到标记图片库中';
+$lang['add new photos to caddie'] = '将新图片添加到标记图片库';
 // --------- Starting below: New or revised $lang ---- from Butterfly
 $lang['No display'] = '不显示缩略图';
@@ -481,5 +481,5 @@
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = '确定安装此更新？您必须确定此版本是否无需先进行卸载操作。';
 $lang['Plugin has been successfully copied'] = '插件复制成功';
-$lang['You might go to plugin list to install and activate it.'] = '在插件列表中安装并启用它。';
+$lang['You might go to plugin list to install and activate it.'] = '在插件列表页中安装并启用它。';
 $lang['Can\'t create temporary file.'] = '无法创建临时文件。';
 $lang['Can\'t download archive.'] = '无法下载归档文件。';
@@ -617,5 +617,5 @@
 $lang['Invert'] = '反选';
 $lang['Impossible to deactivate this theme, you need at least one theme.'] = '不能停用此主题，您至少需要使用一个主题。';
-$lang['Webmaster status is required.'] = '必须设置站长。';
+$lang['Webmaster status is required.'] = '仅限站长。';
 $lang['Bound Theme'] = '绑定主题';
 $lang['Allow rating'] = '允许评分';
@@ -702,5 +702,5 @@
 $lang['Type here the title'] = '在此输入标题';
 $lang['Week starts on'] = '星期起始于';
-$lang['You have %d orphan tags: %s.'] = '您有 %d 个无关联标签：%s。';
+$lang['You have %d orphan tags: %s.'] = '您有 %d 个无关联图片的标签：%s。';
 $lang['Remove from caddie'] = '从标记图片库中移除';
 $lang['Themes which need upgrade'] = '需更新的主题';
@@ -719,5 +719,5 @@
 $lang['WARNING! This plugin does not seem to be compatible with this version of Piwigo.'] = '警告！此插件并不适用于这个版本的Piwigo。';
 $lang['Do you want to activate anyway?'] = '您仍想启用吗？';
-$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = '这个插件现在已经是Piwigo核心的一部分，请马上删除它！';
+$lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = '【这个插件现在已经是Piwigo核心的一部分，请马上删除它！】';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = '错误：该插件的实际内容已丢失但记录中它已被安装，请马上卸载它。';
 $lang['new'] = '新的';
@@ -737,5 +737,5 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = '恢复默认的配置，您将失去您的插件的设置!';
 $lang['You can\'t define a default photo order because you have a custom setting in your local configuration.'] = '您不能设置默认的图片排序，因为您已在本地配置文件里有自定义设置。';
-$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = '您已在本地配置文件里定义了 <i>$conf[\'order_by\']</i>，此参数已不再使用了，请移除或者将其改名为 <i>$conf[\'order_by_custom\']</i> !';
+$lang['You have specified <i>$conf[\'order_by\']</i> in your local configuration file, this parameter in deprecated, please remove it or rename it into <i>$conf[\'order_by_custom\']</i> !'] = '您已在本地配置文件里定义了 <i>$conf[\'order_by\']</i>，此参数已不再使用了，请移除或者将其改名为 <i>$conf[\'order_by_custom\']</i> ！';
 $lang['Thumbnails generation in progress...'] = '正在生成缩略图...';
 $lang['Photos generation in progress...'] = '正在生成图片...';
@@ -755,5 +755,5 @@
 $lang['I decide to update anyway'] = '仍决定更新';
 $lang['Update to Piwigo %s'] = '更新到 Piwigo %s';
-$lang['Two updates are available'] = '有2项更新可用';
+$lang['Two updates are available'] = '两项更新均可用';
 $lang['This is a minor update, with only bug corrections.'] = '这是一次次要更新，只是对bug的修正。';
 $lang['This is a major update, with <a href="%s">new exciting features</a>.'] = '这是一次重要更新，有着<a href="%s">令人欣喜的新功能</a>。';
@@ -792,5 +792,5 @@
 $lang['Merge selected tags'] = '合并选中的标签';
 $lang['No destination tag selected'] = '没有选中的目的标签';
-$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = '标签<em>%s</em>与标签<em>%s</em>已合并';
+$lang['Tags <em>%s</em> merged into tag <em>%s</em>'] = '标签<em>%s</em>已并入标签<em>%s</em>';
 $lang['Select at least two tags for merging'] = '请至少选择2个标签以合并';
 $lang['Select an album'] = '选择一个相册';
@@ -848,5 +848,5 @@
 $lang['Save manual order'] = '保存手动排序';
 $lang['Web Form'] = '网页表单';
-$lang['You can activate only one mobile theme.'] = '你只能启用一套手机版主题';
+$lang['You can activate only one mobile theme.'] = '您只能启用一套手机版主题';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u 用户因属于有权限的组，所以自动拥有权限。';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe公司的Photoshop Lightroom是一款图片处理软件，用于管理大量的数字图像和后期制作工作。';
@@ -874,8 +874,8 @@
 $lang['Select users...'] = '选择用户...';
 $lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell是一个运行在Linux上的开源数码照片管理软件。它是Ubuntu和Fedora的默认照片管理软件。';
-$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo的导出插件允许你创建相册和导出图片。';
-$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo发布插件允许你从Lightroom直接导出和同步图片到您的Piwigo图库。';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Piwigo export插件允许您创建相册和导出图片。';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Piwigo publish插件允许您从Lightroom直接导出和同步图片到您的Piwigo图库。';
 $lang['There is no group in this gallery.'] = '这个图库中还没有组。';
-$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = '只要安装digiKam和Kipi插件， 就可以从digiKam中导出图片到Piwigo。';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = '只要安装digiKam和Kipi插件，就可以从digiKam中导出图片到Piwigo。';
 $lang['visitors need to login and have the appropriate permissions to see this album'] = '需要登录且有适当的权限才能查看这个相册';
 $lang['Apply watermark if height is bigger than'] = '如果高度大于此值则添加水印：';
@@ -942,10 +942,10 @@
 $lang['Portrait'] = '人像';
 $lang['View in gallery'] = '在图库中查看';
-$lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = '%s [%s]安装的版本跟[%s]版本不兼容';
+$lang['The version of %s [%s] installed is not compatible with the version required ']['%s'] = '所安装的 %s [%s] 版本跟所要求的版本 [%s] 不兼容';
 $lang['Ratio'] = '比例';
 $lang['between %.2f and %.2f'] = '在 %.2f 与 %.2f 之间';
 $lang['between %d and %d pixels'] = '在 %d 与 %d 像素之间';
-$lang['This group will be set to default'] = '本组将用作默认组';
-$lang['This group will be unset to default'] = '本组将不再用作默认组';
+$lang['This group will be set to default'] = '该组将用作默认组';
+$lang['This group will be unset to default'] = '该组将不再用作默认组';
 $lang['No members to manage'] = '没有可管理的用户';
 $lang['Please select at least two groups'] = '请至少选择两个组';