Index: /extensions/music_player/admin/admin.php
===================================================================
--- /extensions/music_player/admin/admin.php	(revision 21047)
+++ /extensions/music_player/admin/admin.php	(revision 21048)
@@ -44,5 +44,5 @@
 	   ///on vérife si ils n'existe pas déjà
 	   $rep = pwg_query('SELECT COUNT(*) AS result FROM '.MP_PLAYLIST.' WHERE url IN (\''.$value.'\') ;');
-       $res = mysql_fetch_array($rep);
+       $res = pwg_db_fetch_array($rep);
 	   if ($res['result']!=0)
 	   {
@@ -111,5 +111,5 @@
   /// v 1.2 on ne cree que pour les nouveaux
   $rep = pwg_query('SELECT COUNT(*) AS result FROM '.MP_PLAYLIST.' WHERE url IN (\''.$value.'\') ;');
-  $res = mysql_fetch_array($rep);
+  $res = pwg_db_fetch_array($rep);
   if ($res['result']!=0)
   {
@@ -148,5 +148,5 @@
   ////[ maj de la bdd 
   $result = pwg_query('SELECT id FROM '.MP_PLAYLIST.' WHERE url IN (\''.$value.'\') ;');
-  $data = mysql_fetch_array($result);
+  $data = pwg_db_fetch_array($result);
   $query = '
 UPDATE '.MP_PLAYLIST.'
@@ -241,5 +241,5 @@
 
     $result = pwg_query('SELECT id FROM '.MP_PLAYLIST.' WHERE url IN (\''.$_POST['url_'.$n.''].'\') ;');
-    $data_pl = mysql_fetch_assoc($result);
+    $data_pl = pwg_db_fetch_assoc($result);
 	$rang=1;
 
@@ -283,5 +283,5 @@
 	 
      $result = pwg_query('SELECT id FROM '.MP_PLAYLIST.' WHERE url=\''.$url.'\' ;');
-     $data_pl = mysql_fetch_assoc($result);
+     $data_pl = pwg_db_fetch_assoc($result);
 	 
      $filename="./plugins/music_player/music/externe/".$data_pl['id'].".php";
@@ -312,5 +312,5 @@
 $query = 'SELECT id, url, texte FROM '.MP_PLAYLIST.' WHERE type IN (\'local\') ORDER BY id ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result)) {
+while ($row = pwg_db_fetch_assoc($result)) {
     array_push($playlist, $row);
 }
@@ -333,5 +333,5 @@
 $query = 'SELECT id, url, texte FROM '.MP_PLAYLIST.' WHERE type IN (\'externe\') ORDER BY id ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result)) {
+while ($row = pwg_db_fetch_assoc($result)) {
     array_push($playlist, $row);
 }
@@ -437,5 +437,5 @@
 {
 	$rep = pwg_query('SELECT texte FROM '.MP_PLAYLIST.' WHERE id IN (\''.$conf_lecteur[7].'\') ;');
-	$pl = mysql_fetch_array($rep);
+	$pl = pwg_db_fetch_array($rep);
 	$txt=$pl['texte'];
 }
Index: /extensions/music_player/admin/admin_edit.php
===================================================================
--- /extensions/music_player/admin/admin_edit.php	(revision 21047)
+++ /extensions/music_player/admin/admin_edit.php	(revision 21048)
@@ -32,5 +32,5 @@
   $query = 'SELECT texte FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_GET['id'].'\') ;';
   $result = pwg_query($query);
-  $data = mysql_fetch_assoc($result);
+  $data = pwg_db_fetch_assoc($result);
   $txt = stripslashes($data['texte']);
   $template->append('edit_txt',
@@ -80,5 +80,5 @@
   $query = 'SELECT url, texte FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_GET['ex_id'].'\') ;';
   $result = pwg_query($query);
-  $data = mysql_fetch_assoc($result);
+  $data = pwg_db_fetch_assoc($result);
   $txt = stripslashes($data['texte']);
   $url = stripslashes($data['url']);
@@ -111,5 +111,5 @@
   $query = 'SELECT pl_id, nom, url FROM '.MP_MUSIC.' WHERE id IN (\''.$_GET['music_id'].'\') ;';
   $result = pwg_query($query);
-  $data = mysql_fetch_assoc($result);
+  $data = pwg_db_fetch_assoc($result);
   $nom = stripslashes($data['nom']);
   $url = stripslashes($data['url']);
@@ -131,5 +131,5 @@
   $query = 'SELECT pl_id, url, rang FROM '.MP_MUSIC.' WHERE id IN (\''.$_POST['id'].'\') ;';
   $result = pwg_query($query);
-  $suppr = mysql_fetch_assoc($result);
+  $suppr = pwg_db_fetch_assoc($result);
   $url = stripslashes($suppr['url']);
   
@@ -142,15 +142,15 @@
 
   $rep = pwg_query('SELECT MAX(rang) AS max FROM '.MP_MUSIC.' WHERE pl_id='.$suppr['pl_id'].';');
-  $rang = mysql_fetch_assoc($rep);
+  $rang = pwg_db_fetch_assoc($rep);
 
   $i = $suppr['rang'] + 1;
   while ($i<=$rang['max']) {
     $rep = pwg_query('SELECT COUNT(*) AS result FROM '.MP_MUSIC.' WHERE rang IN (\''.$i.'\') AND pl_id IN (\''.$suppr['pl_id'].'\') ;');
-    $res = mysql_fetch_array($rep);
+    $res = pwg_db_fetch_array($rep);
     if ($res['result'] != 0)
     {
       $query = 'SELECT id FROM '.MP_MUSIC.' WHERE rang IN (\''.$i.'\') AND pl_id IN (\''.$suppr['pl_id'].'\') ;';
       $result = pwg_query($query);
-	  $meme = mysql_fetch_assoc($result);
+	  $meme = pwg_db_fetch_assoc($result);
 	  $i_inf = $i - 1 ;
 	  $query = 'UPDATE '.MP_MUSIC.' SET rang=\''.$i_inf.'\' WHERE id IN (\''.$meme['id'].'\') ;';
@@ -166,5 +166,5 @@
   $query = 'SELECT pl_id, nom FROM '.MP_MUSIC.' WHERE id IN (\''.$_GET['suppr'].'\') ;';
   $result = pwg_query($query);
-  $data = mysql_fetch_assoc($result);
+  $data = pwg_db_fetch_assoc($result);
   $template->append('suppr',
                                array('ID'=>$_GET['suppr'],
@@ -237,5 +237,5 @@
 {
  $rep = pwg_query('SELECT MAX(rang) AS max FROM '.MP_MUSIC.' WHERE pl_id='.$_GET['music'].';');
- $rg = mysql_fetch_assoc($rep);
+ $rg = pwg_db_fetch_assoc($rep);
  for($i=1; $i <= $_POST['nbr'] ; $i++)
  {
@@ -252,5 +252,5 @@
       $query = 'SELECT id, rang FROM '.MP_MUSIC.' WHERE pl_id='.$_GET['music'].' AND rang>='.$rang.' ORDER BY rang ;';
       $result = pwg_query($query);
-      while ($sup = mysql_fetch_assoc($result)){
+      while ($sup = pwg_db_fetch_assoc($result)){
 	  
 	    $n_rang = $sup['rang'] + 1 ;
@@ -284,5 +284,5 @@
   $query = 'SELECT url FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_POST['id_playlist'].'\') ;';
   $result = pwg_query($query);
-  $dt = mysql_fetch_assoc($result);
+  $dt = pwg_db_fetch_assoc($result);
 
 /////[ recup music 
@@ -313,5 +313,5 @@
 	   //$rep = pwg_query('SELECT COUNT(*) AS result FROM '.MP_MUSIC.' WHERE pl_id='.$_POST['id_playlist'].' AND url REGEXP \''.$nom_fichier.'\' ;');like '%".$recherche."%'"
 	   $rep = pwg_query('SELECT COUNT(*) AS result FROM '.MP_MUSIC.' WHERE pl_id='.$_POST['id_playlist'].' AND url LIKE \'%'.$nom_fichier.'%\' ;');
-       $res = mysql_fetch_array($rep);
+       $res = pwg_db_fetch_array($rep);
 	   if ($res['result']==0)
 	   {
@@ -324,5 +324,5 @@
   
   $rep = pwg_query('SELECT MAX(rang) AS max FROM '.MP_MUSIC.' WHERE pl_id='.$_POST['id_playlist'].';');
-  $rang = mysql_fetch_assoc($rep);
+  $rang = pwg_db_fetch_assoc($rep);
   $n=$rang['max']+1;
 
@@ -350,5 +350,5 @@
   $query = 'SELECT * FROM '.MP_MUSIC.' WHERE pl_id='.$_GET['music'].' ORDER BY rang ;';
   $result = pwg_query($query);
-  while ($music = mysql_fetch_assoc($result)){
+  while ($music = pwg_db_fetch_assoc($result)){
   $url = stripslashes($music['url']);
   
@@ -371,5 +371,5 @@
   $query = 'SELECT url FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_POST['id_playlist'].'\') ;';
   $result = pwg_query($query);
-  $dt = mysql_fetch_assoc($result);
+  $dt = pwg_db_fetch_assoc($result);
 
   $query = 'SELECT * FROM '.MP_MUSIC.' WHERE pl_id='.$_GET['music'].' ORDER BY rang ;';
@@ -383,5 +383,5 @@
       $_xml .="\t<trackList>\r\n";
 
-      while ($music = mysql_fetch_assoc($result)){
+      while ($music = pwg_db_fetch_assoc($result)){
 	    $nom_fichier=stripslashes($music['nom']);
 	    $url=stripslashes($music['url']);
@@ -408,5 +408,5 @@
   $query = 'SELECT texte FROM '.MP_PLAYLIST.' WHERE id='.$_GET['music'].' ;';
   $result = pwg_query($query);
-  $playlist = mysql_fetch_assoc($result);
+  $playlist = pwg_db_fetch_assoc($result);
   
   $txt = stripslashes($playlist['texte']);
@@ -418,10 +418,10 @@
 
   $rep = pwg_query('SELECT MAX(rang) AS max FROM '.MP_MUSIC.' WHERE pl_id='.$_GET['music'].';');
-  $rang = mysql_fetch_assoc($rep);
+  $rang = pwg_db_fetch_assoc($rep);
     
   $query = 'SELECT * FROM '.MP_MUSIC.' WHERE pl_id='.$_GET['music'].' ORDER BY rang ;';
   $result = pwg_query($query);
   $num=0;
-   while ($music = mysql_fetch_assoc($result)){
+   while ($music = pwg_db_fetch_assoc($result)){
     $music_url = stripslashes($music['url']);
     $music_nom = stripslashes($music['nom']);
Index: /extensions/music_player/admin/admin_img.php
===================================================================
--- /extensions/music_player/admin/admin_img.php	(revision 21047)
+++ /extensions/music_player/admin/admin_img.php	(revision 21048)
@@ -11,5 +11,5 @@
   $query = 'SELECT url, texte FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_GET['id'].'\') ;';
   $result = pwg_query($query);
-  $data = mysql_fetch_assoc($result);
+  $data = pwg_db_fetch_assoc($result);
 
 
Index: /extensions/music_player/admin/admin_suppr.php
===================================================================
--- /extensions/music_player/admin/admin_suppr.php	(revision 21047)
+++ /extensions/music_player/admin/admin_suppr.php	(revision 21048)
@@ -26,10 +26,10 @@
   $query = 'SELECT type FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_POST['id'].'\') ;';
   $result = pwg_query($query);
-  $typ = mysql_fetch_assoc($result);
+  $typ = pwg_db_fetch_assoc($result);
   if ($typ['type']=="local")
   {
     $query = 'SELECT url FROM '.MP_PLAYLIST.' WHERE id IN (\''.$_POST['id'].'\') ;';
     $result = pwg_query($query);
-    $dt = mysql_fetch_assoc($result);
+    $dt = pwg_db_fetch_assoc($result);
     $filename="./plugins/music_player/music/".$dt['url']."/";
     if (file_exists($filename))
Index: /extensions/music_player/lecteur.php
===================================================================
--- /extensions/music_player/lecteur.php	(revision 21047)
+++ /extensions/music_player/lecteur.php	(revision 21048)
@@ -18,5 +18,5 @@
 SELECT COUNT(*) AS result FROM '.GROUPS_TABLE.'
   WHERE name IN (\'music_group\') ;';
-$data_grp = mysql_fetch_array(pwg_query($query));
+$data_grp = pwg_db_fetch_array(pwg_query($query));
 $exist_group = $data_grp['result'];   
 if ( $exist_group == 1 )
@@ -26,5 +26,5 @@
 	$result = pwg_query($query);
 	$grp_id = array();
-	while ($row = mysql_fetch_assoc($result)) {
+	while ($row = pwg_db_fetch_assoc($result)) {
 		array_push($grp_id, $row);
 	}
@@ -33,5 +33,5 @@
 	{
 		$query = 'SELECT id FROM '.GROUPS_TABLE.' WHERE name IN (\'music_group\') ;';
-		$rep = mysql_fetch_array(pwg_query($query));
+		$rep = pwg_db_fetch_array(pwg_query($query));
 		if ($rep['id']==$grp['group_id'] )
 		{
@@ -96,5 +96,5 @@
 $query = 'SELECT url, texte FROM '.MP_PLAYLIST.' WHERE type IN (\'local\') ORDER BY id ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result)) {
+while ($row = pwg_db_fetch_assoc($result)) {
     array_push($playlist, $row);
 }
@@ -112,5 +112,5 @@
 $query = 'SELECT id, texte FROM '.MP_PLAYLIST.' WHERE type IN (\'externe\') ORDER BY id ;';
 $result = pwg_query($query);
-while ($row = mysql_fetch_assoc($result)) {
+while ($row = pwg_db_fetch_assoc($result)) {
     array_push($pl_ex, $row);
 }
@@ -175,5 +175,5 @@
 {
 $rep = pwg_query('SELECT url FROM '.MP_PLAYLIST.' WHERE id IN (\''.$conf_lecteur[7].'\') ;');
-$pl = mysql_fetch_array($rep);
+$pl = pwg_db_fetch_array($rep);
 $url=$pl['url'];
 $url='music/'.$url.'/'.$url.'.xml';
Index: /extensions/music_player/maintain.inc.php
===================================================================
--- /extensions/music_player/maintain.inc.php	(revision 21047)
+++ /extensions/music_player/maintain.inc.php	(revision 21048)
@@ -58,5 +58,5 @@
           WHERE type=""
   ;';
-  $data_table = mysql_fetch_array(pwg_query($query));
+  $data_table = pwg_db_fetch_array(pwg_query($query));
   $exist = $data_table['result'];
   if ( $exist != 0 )
@@ -67,5 +67,5 @@
     ;';
     $result = pwg_query($query);
-    while ($data = mysql_fetch_assoc($result))
+    while ($data = pwg_db_fetch_assoc($result))
     {
      $query = '
@@ -83,5 +83,5 @@
 WHERE param IN (\'mp_lecteur\')
 ;';
- $data_table = mysql_fetch_array(pwg_query($query));
+ $data_table = pwg_db_fetch_array(pwg_query($query));
  $exist = $data_table['result'];
  if ( $exist == 0 )
@@ -98,5 +98,5 @@
 WHERE param IN (\'mp_lecteur\')
 ;';
- $data_conf = mysql_fetch_array(pwg_query($query));
+ $data_conf = pwg_db_fetch_array(pwg_query($query));
  $conf=explode(',', $data_conf['value']);
  $nbr=count($conf);
@@ -119,5 +119,5 @@
           WHERE param IN (\'mp_plugin\')
           ;';
-$data_table = mysql_fetch_array(pwg_query($query));
+$data_table = pwg_db_fetch_array(pwg_query($query));
 $exist = $data_table['result'];
   if ( $exist == 0 )
@@ -134,5 +134,5 @@
     WHERE param IN (\'mp_plugin\')
     ;';
-    $data_conf = mysql_fetch_array(pwg_query($query));
+    $data_conf = pwg_db_fetch_array(pwg_query($query));
     $conf=explode(',', $data_conf['value']);
     $nbr=count($conf);