Index: /trunk/language/zh_CN/admin.lang.php
===================================================================
--- /trunk/language/zh_CN/admin.lang.php	(revision 21051)
+++ /trunk/language/zh_CN/admin.lang.php	(revision 21052)
@@ -200,5 +200,5 @@
 $lang['dissociate from group'] = '取消组关联';
 $lang['Album updated successfully'] = '相册更新成功';
-$lang['photos per page'] = '图片/页';
+$lang['photos per page'] = '张图片/页';
 $lang['High definition enabled'] = '高清功能已启用';
 $lang['File'] = '文件';
@@ -226,5 +226,5 @@
 $lang['To send ?'] = '发送？';
 $lang['Last send'] = '上一次发送';
-$lang['email'] = '邮件';
+$lang['email'] = 'Email';
 $lang['User'] = '用户';
 $lang['See you soon,'] = '回见，';
@@ -233,5 +233,5 @@
 $lang['New photos were added'] = '新图片已加入';
 $lang['on'] = '时间：';
-$lang['between'] = '时间：';
+$lang['between'] = '介于';
 $lang['and'] = ' 至 ';
 $lang['The webmaster has subscribed you to receiving notifications by mail.'] = '站长开通了您的邮件通知功能。';
@@ -309,9 +309,9 @@
 $lang['created'] = '已创建';
 $lang['delete'] = '删除';
-$lang['delete this site and all its attached elements'] = '删除此站点以及与其相关联的所有信息';
+$lang['delete this site and all its attached elements'] = '删除此站点及与之关联的所有信息';
 $lang['an error happened'] = '发生了错误';
 $lang['Local'] = '本地';
 $lang['Remote'] = '远端';
-$lang['update the database from files'] = '根据文件对数据库进行更新';
+$lang['update the database from files'] = '根据文件更新数据库';
 $lang['status'] = '身份';
 $lang['Directory'] = '目录';
@@ -347,5 +347,5 @@
 $lang['reduce to single existing albums'] = '将同步范围限制于某个现有的相册';
 $lang['Choose an option'] = '选择一个选项';
-$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = '显示最全的信息（添加的相册和图片，删除的相册和图片）';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = '显示全部信息（添加的相册和图片，删除的相册和图片）';
 $lang['Error list'] = '错误列表';
 $lang['Errors caption'] = '错误说明';
@@ -355,5 +355,5 @@
 $lang['albums deleted in the database'] = '个相册已从数据库中删除';
 $lang['photos deleted from the database'] = '张图片已从数据库中删除';
-$lang['photos candidates for metadata synchronization'] = '张图片候选与元数据同步';
+$lang['photos candidates for metadata synchronization'] = '张图片将与元数据同步';
 $lang['photos informations synchronized with files metadata'] = '张图片的信息已与文件元数据同步';
 $lang['errors during synchronization'] = '个错误在同步中发生';
@@ -368,7 +368,7 @@
 $lang['Simulation'] = '模拟';
 $lang['directories + files'] = '目录 + 文件';
-$lang['only directories'] = '只对目录';
-$lang['synchronize files structure with database'] = '用数据库同步文件结构';
-$lang['synchronize files metadata with database photos informations'] = '根据文件元数据同步数据库中的图片信息';
+$lang['only directories'] = '仅目录';
+$lang['synchronize files structure with database'] = '文件结构与数据库同步';
+$lang['synchronize files metadata with database photos informations'] = '数据库中的图片信息与文件元数据同步';
 $lang['even already synchronized photos'] = '包括已同步过的图片';
 $lang['Used metadata'] = '已使用的元数据';
@@ -593,5 +593,5 @@
 $lang['Make this theme available to users'] = '让用户可使用此主题';
 $lang['Page end'] = '页尾';
-$lang['Piwigo Uploader'] = 'Piwigo上传客户端';
+$lang['Piwigo Uploader'] = 'Piwigo Uploader';
 $lang['Read Piwigo Documentation'] = '阅读Piwigo文档';
 $lang['Start pLoader and add your photos.'] = '开始使用pLoader并添加您的图片。';
@@ -600,5 +600,5 @@
 $lang['Visit Gallery'] = '浏览图库';
 $lang['Visit Piwigo project website'] = '浏览 Piwigo 项目网站';
-$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader是<em>Piwigo上传客户端</em> 的官方标准软件。pLoader可将您电脑里的图片上传到Piwigo图库里。';
+$lang['pLoader stands for <em>Piwigo Uploader</em>. From your computer, pLoader prepares your photos and transfer them to your Piwigo photo gallery.'] = 'pLoader代表<em>Piwigo Uploader</em>。pLoader可将您电脑里的图片上传到Piwigo图库里。';
 $lang['Guest Settings'] = '游客设置';
 $lang['Main Page'] = '主页';
@@ -829,5 +829,5 @@
 $lang['registered users'] = '注册用户';
 $lang['Save visits in history for'] = '保存访问的历史记录for';
-$lang['simple visitors'] = '访问者';
+$lang['simple visitors'] = '单个访问者';
 $lang['This album contains %d photos, added between %s and %s.'] = '此相册包含%d张图片，添加于%s和%s之间。';
 $lang['This album contains %d photos, added on %s.'] = '此相册包含%d张图片，添加于%s。';
@@ -851,23 +851,23 @@
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u 用户因属于有权限的组，所以自动拥有权限。';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe公司的Photoshop Lightroom是一款图片处理软件，用于管理大量的数字图像和后期制作工作。';
-$lang['any visitor can see this album'] = '任何访问者都可访问此相册';
+$lang['any visitor can see this album'] = '任何访问者都可查看此相册';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture是Mac上一个功能强大的图片管理、编辑工具。';
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture用于在iPhoto上进行专业的图片处理。';
 $lang['Delete multiple size images'] = '删除多尺寸图片';
-$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam是Linux，Windows和MacOSX平台上免费的高级数码照片管理软件。';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'digiKam是Linux，Windows和MacOSX平台上的免费高级数码照片管理软件。';
 $lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam可以查看，管理，编辑，增强，组织，标记和共享图片。';
 $lang['Features include gallery browsing, album creation and photo upload.'] = '其特点包括浏览图库，创建相册和上传图片。';
 $lang['Generate multiple size images'] = '生成多尺寸图片';
 $lang['Groups and users'] = '组和用户';
-$lang['include photos with lower privacy level'] = '包括隐私级别较低的图片';
-$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto是在MacOSX的默认照片管理器。Piwigo的导出插件可以让您创建新的相册，并将您的图片从iPhoto直接导出到您的Piwigo图库。';
+$lang['include photos with lower privacy level'] = '包括隐私级别更低的图片';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto是MacOSX上的默认照片管理器。Piwigo export插件可以让您创建新的相册，并将您的图片从iPhoto直接导出到您的Piwigo图库。';
 $lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = '在您的Linux上，只需用安装软件包管理器安装Shotwell并启用Piwigo的发布选项。';
 $lang['Permission granted for groups'] = '为组授予的权限';
 $lang['Permission granted for users'] = '为用户授予的权限';
-$lang['Piwigo export plugin for Aperture'] = 'Piwigo export 插件 for Aperture';
-$lang['Piwigo export plugin for iPhoto'] = 'Piwigo export 插件 for iPhoto';
-$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publish 插件 for digiKam';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo publish 插件 for Lightroom';
-$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publish 插件 for Shotwell';
+$lang['Piwigo export plugin for Aperture'] = 'Piwigo export插件 for Aperture';
+$lang['Piwigo export plugin for iPhoto'] = 'Piwigo export插件 for iPhoto';
+$lang['Piwigo publish plugin for digiKam'] = 'Piwigo publish插件 for digiKam';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Piwigo publish插件 for Lightroom';
+$lang['Piwigo publish plugin for Shotwell'] = 'Piwigo publish插件 for Shotwell';
 $lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (Android RemoteGallery客户端) 是一个开源（GPL v3）的Android平台Piwigo客户端。';
 $lang['Select groups...'] = '选择组';
@@ -897,5 +897,5 @@
 $lang['bottom right corner'] = '右下角';
 $lang['custom'] = '自定义';
-$lang['middle'] = '中间';
+$lang['middle'] = '中';
 $lang['top left corner'] = '左上角';
 $lang['top right corner'] = '右上角';