Index: /extensions/File_Uploader/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/File_Uploader/language/ru_RU/plugin.lang.php	(revision 21080)
+++ /extensions/File_Uploader/language/ru_RU/plugin.lang.php	(revision 21080)
@@ -0,0 +1,51 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['File upload stopped by extension'] = 'Загрузка файлов прервана';
+$lang['File uploaded and synchronized'] = 'Файлы загружены и синхронизированы';
+$lang['Failed to write file to disk'] = 'Невозможно записать файл на диск';
+$lang['File Uploader Plugin'] = 'Плагин Загрузчик файлов';
+$lang['Properties'] = 'Свойства';
+$lang['Missing a temporary folder'] = 'Отсутствует временная папка';
+$lang['Overwrite files without notice'] = 'Перезаписать файлы без уведомления';
+$lang['Thumbnail to upload:'] = 'Миниатюра для загрузки:';
+$lang['File to upload:'] = 'Файл для загрузки:';
+$lang['Donate'] = 'Поддержать';
+$lang['create a new album'] = 'создать новый альбом';
+$lang['file_uploader_pdf2tab_tooltip'] = 'Открыть файл в новой вкладке';
+$lang['Unable to create folder '] = 'Невозможно создать папку';
+$lang['Upload'] = 'Загрузка';
+$lang['Upload error'] = 'Ошибка загрузки';
+$lang['Title:'] = 'Название:';
+$lang['Open files in a new tab'] = 'Открыть файлы в новой вкладке';
+$lang['No file to upload'] = 'Нет файлов для загрузки';
+$lang['Invalid file name'] = 'Неверное имя файла';
+$lang['Help'] = 'Помощь';
+$lang['Configuration'] = 'Конфигурация';
+$lang['Album:'] = 'Альбом:';
+$lang['Can\'t upload file to galleries directory'] = 'Не удается загрузить файл в папку галереи';
+$lang['Choose a file'] = 'Выберите файл';
+$lang['Choose a thumbnail'] = 'Выберите миниатюру';
+$lang[': Check to overwrite files during upload if a file with the same name already exists.'] = ': Отметьте, чтобы перезаписать файлы во время загрузки, если файл с таким именем уже существует.';
+$lang['... or '] = '... или';
+$lang[': Check to open files in a new tab or download them depending on the extension.'] = ': Отметьте, чтобы открыть файлы в новой вкладке или загрузить их в зависимости от расширения.';
+?>